job('pem-pricegroup-ui-build') {
  wrappers {
    credentialsBinding {
               usernamePassword('GITHUB_USER', 'GITHUB_TOKEN', 'pem-github-token')
      usernamePassword('ARTIFACTORY_USER', 'ARTIFACTORY_KEY', 'github_credential')
    }
  }
  authorization {
        permission('hudson.model.Item.Build', 'PEM-FEDCI-PIPELINE-DEVTEAM')
        permission('hudson.model.Item.Configure', 'PEM-FEDCI-PIPELINE-DEVTEAM')
    }
  logRotator {
        numToKeep(7)
    }
  label('pipes-docker-agent')
  environmentVariables {
    env('APP_GIT_URL', 'https://github.gapinc.com/plan/pem-price-groups-ui')
  }
  scm {
    git {
      remote {
        url('${APP_GIT_URL}.git')
        credentials('github_credential')
      }
      branch("master")
    }
  }
  steps {
    gradle {
      useWrapper(true)
      makeExecutable(true)
      tasks('clean yarn_install build test artifactoryPublish -Dspring.profiles.active=prod')
      switches('-g . --no-daemon')
      fromRootBuildScriptDir(true)
    }
  }
  triggers {
    scm('* * * * *') {
      ignorePostCommitHooks()
    }
  }
  publishers {
     wrappers {
        colorizeOutput()
     }
  }
}

listView('pem-pricegroup-ui') {
    columns {
        status()
        weather()
        name()
        lastSuccess()
        lastFailure()
        lastDuration()
        buildButton()
    }
    jobs {
        name('pem-pricegroup-ui-build')
        name('pem-pricegroup-ui-pr-build')
        name('PEM-Pricegroup-Ui-GitHub-Pull-Request-Builder')
        name('pem-vmware-pricegroup-ui-deploy-to-environment')
        name('pem-pricegroup-ui-prod-migrate-artifact')
        name('pem-vmware-pricegroup-ui-deploy-to-production')
        name('pem-pricegroup-ui-deploy-to-azure-environment')
    }
}